'use strict';

function remove(id, element = null) {
    if (typeof id === 'number') {
        // Получены входные параметры

        // Запрос
        fetch(`https://surikovlib.ru/books/${id}/delete`, {
            method: 'POST'
        }).then(
            (value) => {
                return value.json();
            }
        ).then(
            (response) => {
                if (response.status === true) {
                    // Удалена книга

                    // Удаление элемента
                    if (typeof element === 'object') element.remove();
                }
            }
        );
    }
}
